Package org.eclipse.m2m.atl.engine.emfvm

## Class AtlSuperimposeModule.AtlSuperimposeModuleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.m2m.atl.engine.emfvm.AtlSuperimposeModule.AtlSuperimposeModuleException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  AtlSuperimposeModule

    public class AtlSuperimposeModule.AtlSuperimposeModuleException
    extends java.lang.Exception

General exception for applying ATL module superimposition. Used in ASM adaptation sanity check.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`AtlSuperimposeModuleException​(java.lang.String msg)` Creates a new AtlSuperimposeModuleException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AtlSuperimposeModuleException

    public AtlSuperimposeModuleException​(java.lang.String msg)

Creates a new AtlSuperimposeModuleException.

Parameters:
  `msg` - Exception message